/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}


/* HTML5 display-role reset for older browsers */

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}


/*# css reset bitti. --- ender ---  */

h1 {
    font-size: 1.6rem;
}

small {
    font-size: 0.75rem;
    padding-left: 3px;
    font-family: 'Quicksand', sans-serif;
}

html {
    height: 100%;
    box-sizing: border-box;
}

body {
    position: relative;
    margin: 0;
    min-height: 100%;
    font-family: 'Ubuntu', sans-serif;
}

.containerreceteci {
    width: 86vw;
    max-width: 1050px;
    height: 100%;
    display: grid;
    margin: auto;
    grid-gap: 2px;
    grid-template-columns: repeat(7, 1fr);
    grid-template-rows: 60px auto;
    grid-template-areas: "h h h h h h h" "l m m m m a a";
}

.headerreceteci {
    grid-area: h;
    background-color: rgb(111, 158, 219);
    box-sizing: border-box;
}

.adleftreceteci {
    grid-area: l;
    max-width: 150px;
}

.mainreceteci {
    grid-area: m;
    max-width: 600px;
    box-sizing: border-box;
}

.mainreceteci>h1 {
    padding-top: 0px;
    margin: 2rem 0 0 1rem;
    font-family: 'Josefin Sans', sans-serif;
}

.headerreceteci img {
    height: 50px;
}

.headerreceteci {
    display: grid;
    grid-template-columns: 1fr 1fr 5fr 1fr;
    padding-top: 5px;
}

.header-items {
    height: 40px;
    box-sizing: border-box;
    padding-top: 10px;
    color: #ffffff;
    font-weight: 700;
    font-size: 28px;
    font-family: 'Dosis', sans-serif;
    padding-top: 10px;
    letter-spacing: 1px;
}

.ftronline {
    text-decoration: none;
    color: #ffffff;
    white-space: nowrap;
}

.recete-tablosu,
table {
    width: 95%;
    margin: auto;
}

.recete-tablosu,
table,
th,
td {
    border: 1px solid black;
    border-collapse: collapse;
}

.yetmis {
    width: 70%;
}

.recete-tablosu input {
    border: none;
    margin-top: 3px;
    margin-bottom: 2px;
}

.recete-hasta-adi {
    width: 98%;
    margin-left: 3px;
    font-size: 1.2rem;
    font-family: 'Ubuntu', sans-serif;
}

.recete-hasta-kurumu {
    width: 98%;
    margin-left: 3px;
    font-size: 1rem;
    font-family: 'Ubuntu', sans-serif;
}

.recete-hasta-tanisi {
    width: 98%;
    margin-left: 3px;
    font-size: 1.1rem;
    font-family: 'Ubuntu', sans-serif;
}

.recete-hasta-tanisi-normal {
    font-size: 1.1rem;
}

.recete-hasta-tanisi-kucuk {
    font-size: 0.8rem;
}

.recete-tarihi {
    width: 90%;
    margin-left: 3px;
    font-size: 1rem;
    font-family: 'Ubuntu', sans-serif;
}

.ortala {
    text-align: center;
}

.ilaclar {
    padding: 3px 0 1px 0;
    font-family: 'Quicksand', sans-serif;
}

.rx {
    padding-left: 10px;
    padding-top: 6px;
}

.recete-yazim-alani {
    margin-left: 10px;
    border: none;
    overflow-y: auto;
    overflow-x: hidden;
    width: 96%;
    height: 470px;
    font-family: 'Fira Sans', sans-serif;
    font-size: 1rem;
    line-height: 1.6rem;
    padding-left: 3px;
    resize: none;
}

.sistemlertinne {
    text-align: center;
    padding-bottom: 10px;
    font-size: 1rem;
}

.asidereceteci {
    grid-area: a;
    background-image: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%);
    box-sizing: border-box;
}

.aside-search-receteci {
    height: 50%;
    display: block;
    text-align: center;
}

.arama-input {
    height: 2rem;
    font-size: 1.3rem;
    width: 95%;
    vertical-align: center;
    display: inline-block;
    border: 1px solid grey;
    background-color: beige;
    font-family: 'Quicksand', sans-serif;
    text-align: center;
}

.liste {
    overflow-y: auto;
    overflow-x: hidden;
    margin-top: 5px;
    margin-left: 5px;
    margin-right: 5px;
    font-size: 0.8rem;
    height: 340px;
}

.ender {
    border: 1px solid blanchedalmond;
    font-size: 0.8rem;
    background-color: rgb(241, 241, 241);
    display: grid;
    min-height: 28px;
    align-items: center;
    cursor: pointer;
    margin-top: 5px;
    padding-top: 8px;
    padding-bottom: 8px;
    line-height: 1rem;
}

input[type="radio"] {
    display: none;
    width: 0;
    margin: 0;
}

label:hover {
    background-color: bisque;
}

input[type='radio']:active {
    background-color: lawngreen;
}

.aside-buttons-receteci {
    display: block;
    text-align: center;
}

.ikili {
    width: auto;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(80px, 1fr));
    height: auto;
    min-height: 50px;
    margin-bottom: 10px;
    padding-top: 5px;
    overflow-y: auto;
    grid-gap: 10px;
}

.resetbuton {
    margin-top: 5px;
    min-height: 50px;
    width: 80%;
}

.butonlar {
    clear: both;
    display: grid;
    grid-gap: 3px;
    width: inherit;
    height: 300px;
    overflow-y: auto;
    overflow-x: hidden;
    grid-template-columns: repeat(auto-fit, minmax(80px, 1fr));
    grid-auto-rows: 25px;
}

.scrollbar-custom::-webkit-scrollbar {
    width: 7px;
    background-color: #cccccc;
}

.scrollbar-custom::-webkit-scrollbar:horizontal {
    height: 7px;
}

.scrollbar-custom::-webkit-scrollbar-track {
    border: 1px #d8d5d5 solid;
    border-radius: 10px;
    -webkit-box-shadow: 0 0 6px #c8c8c8 inset;
}

.scrollbar-custom::-webkit-scrollbar-thumb {
    background-color: #3ca5b0;
    border: 1px solid #dad5d5;
    border-radius: 5px;
}

.scrollbar-custom::-webkit-scrollbar-thumb:hover {
    background-color: #97a1e7;
    border: 1px solid #b9b6b6;
}

.scrollbar-custom::-webkit-scrollbar-thumb:active {
    background-color: #67bc4e;
    border: 1px solid #c6c5c5;
}


/*
.kisayollabel {
    color: #55acee;
    border: 2px #55acee solid;
    background-color: white;
    cursor: pointer;
    padding-top: 4px;
    font-family: 'Quicksand', sans-serif;
    font-size: 0.9rem;
}

.kisayollabel:hover {
    background-color: #55acee;
    color: #fff
}
*/

.kisayollabel {
    background: #3498db;
    background-image: -webkit-linear-gradient(top, #3498db, #2980b9);
    background-image: -moz-linear-gradient(top, #3498db, #2980b9);
    background-image: -ms-linear-gradient(top, #3498db, #2980b9);
    background-image: -o-linear-gradient(top, #3498db, #2980b9);
    background-image: linear-gradient(to bottom, #3498db, #2980b9);
    -webkit-border-radius: 5;
    -moz-border-radius: 5;
    border-radius: 5px;
    font-family: 'Quicksand', sans-serif;
    color: #ffffff;
    font-size: 14px;
    padding: 3px 5px 3px 5px;
    text-decoration: none;
    text-align: center;
}

.kisayollabel:hover {
    background: #3cb0fd;
    background-image: -webkit-linear-gradient(top, #3cb0fd, #3498db);
    background-image: -moz-linear-gradient(top, #3cb0fd, #3498db);
    background-image: -ms-linear-gradient(top, #3cb0fd, #3498db);
    background-image: -o-linear-gradient(top, #3cb0fd, #3498db);
    background-image: linear-gradient(to bottom, #3cb0fd, #3498db);
    text-decoration: none;
}

.footerreceteci {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 0.7rem;
    color: rgb(163, 163, 163);
    background-color: #181717;
    text-align: center;
    font-size: 0.6rem;
}

@media only screen and (max-width: 700px) {
    .containerreceteci {
        width: 95vw;
        display: grid;
        margin: auto;
        grid-gap: 2px;
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: 60px auto;
        grid-template-areas: "h" "m" "a";
    }
    .butonlar {
        display: grid;
        grid-gap: 4px;
        width: inherit;
        height: 400px;
        overflow-y: auto;
        overflow-x: hidden;
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
        grid-auto-rows: 25px;
    }
    .ftronline {
        content: 'ftronline reçeteci';
        font-size: 20px;
        font-family: 'Dosis', sans-serif;
        line-height: 0;
        overflow: hidden;
    }
}

@page {
    size: A4;
    margin: 0;
}

@media print {
    body {
        font-size: 15px;
    }
    .headerreceteci,
    .footerreceteci,
    .adleftreceteci,
    .asidereceteci {
        display: none;
    }
    .mainreceteci {
        margin: auto auto auto 0.4cm;
        border: initial;
        border-radius: initial;
        width: 13.8cm;
        min-height: initial;
        max-height: 18cm;
        box-shadow: initial;
        page-break-after: always;
    }
    table,
    td,
    tr {
        border-collapse: collapse;
        border: 1px solid black;
    }
    .recete-yazim-alani {
        font-size: 0.9rem;
        line-height: 1.5rem;
    }
    .sistemlertinne {
        font-size: 0.8rem;
    }
}


/*

font-family: 'Josefin Sans', sans-serif;
font-family: 'Quicksand', sans-serif;
font-family: 'Ubuntu', sans-serif;
font-family: 'Indie Flower', cursive;


#89B8B8
*/